.primary-button {
    position: relative;
    height: 48px;
    border-radius: 40px;
    border: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0 25px;
    gap: 10px;
    cursor: pointer;
    transition: 0.3s;
    background: #FF0095;
    color: #fff;
    font-weight: 500;
    font-size: 16px;
}

.primary-button:hover {
    background: #FF0095;
}

.primary-button:hover .icon {
    transform: rotate(180deg);
}

.primary-button .icon {
    transition: 0.3s;
}

.primary-button-small {
    position: relative;
    height: 36px;
    border-radius: 20px;
    border: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0 15px;
    gap: 10px;
    cursor: pointer;
    transition: 0.3s;
    background: #FF0095;
    color: #fff;
    font-weight: 500;
    font-size: 16px;
}

.primary-button-small:hover {
    background: #FF0095;
}

.right-white-icon {
    animation: right-white-icon 1s infinite ease-in-out;
}

.transparent-button-small {
    width: auto;
    height: auto;
    min-height: auto;
    padding: 10px 15px;
    background: transparent;
    border: none;
    box-shadow: none;
    font-weight: 600;
    font-size: 16px;
    border-radius: 24px;
    transition: 0.3s;
    color: #000;
}

.transparent-button-small.rotate {
    transform: rotate(135deg);
}

.white-button-small {
    border: none;
    border-radius: 20px;
    padding: 8px 12px;
    background: rgba(0, 0, 0, 0.04);
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    color: #757575;
    transition: 0.3s;
}

.white-button-small:hover {
    color: #000;
}

.white-button-small .icon {
    opacity: 0.5;
    transition: 0.3s;
}

.white-button-small:hover .icon {
    opacity: 1;
}

.transparent-button {
    width: auto;
    height: auto;
    min-height: auto;
    padding: 10px 15px;
    background: transparent;
    border: none;
    box-shadow: none;
    font-weight: 500;
    font-size: 16px;
    transition: 0.3s;
    color: #000;
    border-radius: 50px;
}

.transparent-button:hover {
    background: #F5F5F5;
}

.yellow-button-round {
    border-radius: 50px;
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: transparent;
    background: #E1F500;
}

.border-black-button {
    border: 2px solid #000;
    border-radius: 40px;
    padding: 0 24px;
    height: 48px;
    font-weight: 500;
    font-size: 16px;
    color: #000;
    transition: 0.3s;
    background: transparent;
}

.border-black-button:hover {
    background: #000;
    color: #fff;
}

.border-pink-button {
    border: 2px solid #FF0095;
    border-radius: 40px;
    padding: 0 24px;
    height: 48px;
    font-weight: 500;
    font-size: 16px;
    color: #000;
    transition: 0.3s;
    background: transparent;
}

.border-pink-button:hover {
    background: #FF0095;
    color: #fff;
}

.border-white-button {
    border-radius: 40px;
    border: 2px solid #fff;
    padding: 0 24px;
    height: 48px;
    font-weight: 500;
    font-size: 16px;
    color: #fff;
    transition: 0.3s;
    background: transparent;
}

.border-white-button:hover {
    background: #fff;
    color: #000;
}

.border-black-button-small-blue {
    width: 48px;
    height: 48px;
    border: none;
    padding: 10px 12px;
    transition: 0.3s;
    background: #4040FF;
    display: flex;
    align-items: center;
    justify-content: center;
}

.border-black-button-small {
    width: 48px;
    height: 48px;
    border: 1px solid #000;
    padding: 10px 12px;
    transition: 0.3s;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
}

.back-button-round {
    border-radius: 50px;
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #F5F5F5;
    border: transparent;
}

.back-button {
    height: 48px;
    padding: 0 24px;
    font-weight: 500;
    font-size: 16px;
    border-radius: 40px;
    color: #000;
    background: #F5F5F5;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    transition: 0.3s;
}

.back-button:hover {
    background: #CCCCCC;
}

.gray-button {
    height: 48px;
    padding: 0 50px;
    background: #333333;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    font-weight: 400;
    font-size: 16px;
    color: #808080;
    transition: 0.3s;
    border-radius: 30px;
}

.gray-button:hover {
    color: #fff;
}

.gray-button.select {
    background: #FF0095;
    color: #fff;
}

.new-item-blue-button {
    position: absolute;
    left: 0;
    top: 0;
    background: #4040FF;
    padding: 8px 12px;
    border: none;
    color: #fff;
    z-index: 1;
}

.new-item-blue-button:hover {
    background: #9747FF;
}

.link-button {
    font-weight: 400;
    font-size: 16px;
    text-decoration: underline;
    text-decoration-skip-ink: none;
    color: #FF0095;
    border: none;
    background: transparent;
    transition: 0.3s;
}

.link-button:hover {
    color: #FF0095;
}

.link {
    cursor: pointer;
    text-decoration: underline;
}

/*
     FILE ARCHIVED ON 06:17:28 Jun 21, 2025 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 11:07:07 Feb 28, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.594
  exclusion.robots: 0.018
  exclusion.robots.policy: 0.008
  esindex: 0.009
  cdx.remote: 108.543
  LoadShardBlock: 752.783 (3)
  PetaboxLoader3.resolve: 639.667 (4)
  PetaboxLoader3.datanode: 262.528 (5)
  load_resource: 204.522
  loaddict: 64.044
*/